﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace SchedulerDemo
{
    public partial class DemoSchedulerForm : Form
    {
        CustomEditAppointmentDialog appointmentDialog = null;

        public DemoSchedulerForm()
        {
            InitializeComponent();

            this.radSchedulerDemo.AppointmentFactory = new CustomAppointmentFactory();
        }

        private void radSchedulerDemo_AppointmentEditDialogShowing(object sender, AppointmentEditDialogShowingEventArgs e)
        {
            if (this.appointmentDialog == null)
            {
                this.appointmentDialog = new CustomEditAppointmentDialog();
            }
            e.AppointmentEditDialog = this.appointmentDialog;
        }
    }
}